<?PHP

/* ====================
Seditio - Website engine
Copyright Neocrome
http://www.neocrome.net
[BEGIN_SED]
File=plugins/langcompare/langcompare.php
Version=100
Updated=2005-jan-01
Type=Plugin
Author=Neocrome
Description=
[END_SED]

[BEGIN_SED_EXTPLUGIN]
Code=langcompare
Part=main
File=langcompare
Hooks=standalone
Tags=
Order=10
[END_SED_EXTPLUGIN]
==================== */

if (!defined('SED_CODE') || !defined('SED_PLUG')) { die('Wrong URL.'); }

$post_core_l = sed_import('core_l','P','ALP');
$post_target_l = sed_import('target_l','P','ALP');
$post_type = sed_import('type','G','ALP');
if (empty($post_type)) { $post_type = sed_import('type','P','ALP'); }

$post_core_l = (!empty($post_core_l)) ? $post_core_l : 'en';
$post_target_l = (!empty($post_target_l)) ? $post_target_l : $usr['lang'];
$post_type = (!empty($post_type)) ? $post_type : 'main';

$t-> assign(array(
	"LC_TITLE" => $L['lc_title'],
	"LC_SUBTITLE" => $L['lc_subtitle']
		));

$core_l = sed_selectbox_lang($post_core_l, 'core_l');
$target_l = sed_selectbox_lang($post_target_l, 'target_l');
$t-> assign(array(
	"LC_CORE_L" => $core_l,
	"LC_TARGET_L" => $target_l,
	"LC_TYPE_L" => lc_get_lngtype('type', $post_type)
		));

$lng_core = lc_get_lngfile($post_core_l, $post_type);
$lng_target = lc_get_lngfile($post_target_l, $post_type);

$ii = 0;
while ( list($i,$x) = each($lng_core) )
	{
	if (count($lng_core[$i])<2)
		{
		if (isset($lng_target[$i]) === false)
			{
			$missed .= (empty($missed)) ? "<a style=\"color:#FF0000\" href=\"plug.php?e=langcompare&amp;type=".$post_type."#$i\">$i</a>" : ", <a style=\"color:#FF0000\" href=\"plug.php?e=langcompare&amp;type=".$post_type."#$i\">$i</a>";
			$bg = "background: #FF0000;";
			$ii++;
			}
		elseif (empty($lng_target[$i]))
			{
			$missed .= (empty($missed)) ? "<a style=\"color:#008000\" href=\"plug.php?e=langcompare&amp;type=".$post_type."#$i\">$i</a>" : ", <a style=\"color:#008000\" href=\"plug.php?e=langcompare&amp;type=".$post_type."#$i\">$i</a>";
			$bg = "background: #008000;";
			$ii++;
			}
		$t-> assign(array(
			"LC_NAME" => $i,
			"LC_CORE" => $lng_core[$i],
			"LC_TARGET" => $lng_target[$i],
			"LC_TARGET_BG" => $bg
			));
		}
	else
		{
		if (isset($lng_target[$i][0]) === false || isset($lng_target[$i][1]) === false )
			{
			$missed .= (empty($missed)) ? "<a style=\"color:#FF0000\" href=\"plug.php?e=langcompare&amp;type=".$post_type."#$i\">$i</a>" : ", <a style=\"color:#FF0000\" href=\"plug.php?e=langcompare&amp;type=".$post_type."#$i\">$i</a>";
			$bg = "background: #FF0000;";
			$ii++;
			}
		elseif (empty($lng_target[$i][0]) || empty($lng_target[$i][1]))
			{
			$missed .= (empty($missed)) ? "<a style=\"color:#008000\" href=\"plug.php?e=langcompare&amp;type=".$post_type."#$i\">$i</a>" : ", <a style=\"color:#008000\" href=\"plug.php?e=langcompare&amp;type=".$post_type."#$i\">$i</a>";
			$bg = "background: #008000;";
			$ii++;
			}
		$t-> assign(array(
			"LC_NAME" => $i,
			"LC_CORE" => "<b>Array[0]</b>:".$lng_core[$i][0]."<br /><b>Array[1]</b>:".$lng_core[$i][1],
			"LC_TARGET" => "<b>Array[0]</b>:".$lng_target[$i][0]."<br /><b>Array[1]</b>:".$lng_target[$i][1],
			"LC_TARGET_BG" => $bg
			));
		}
	$t->parse("MAIN.BODY");
	unset($bg);
        }

if (empty($ii))
	{
	$result = $L['lc_tpl_07'];
	}
else
	{
	$result = $L['lc_tpl_04'].": ".$ii." ".$L['lc_tpl_05'].".<br />".$L['lc_tpl_06'].": ".$missed.".";
	}

$t-> assign(array("LC_RESULT" => $result));

/* ================== FUNCTIONS ================== */
function lc_get_lngtype($name, $post_type)
	{
	$res = "<select name=\"$name\" size=\"1\">";
	if ($handle = opendir('system/lang/en/'))
		{
		while (false !== ($file = readdir($handle)))
			{
			if (($file!='.') && ($file!='..') )
				{
				$file= basename($file, ".lang.php");
				$selected = ($file==$post_type) ? "selected=\"selected\"" : '';
				$res .= "<option value=\"$file\" $selected>".$file."</option>";
				}
			}
		closedir($handle); 
		}
	$res .= "</select>";
	return($res);
	}

function lc_get_lngfile($lang, $post_type)
	{
	require('system/lang/'.$lang.'/'.$post_type.'.lang.php');
	while ( list($i,$x) = each($L) )
		{
		$res[$i] = $x;
		}
	return($res);
	}

?>